---
title: Frontend local development
---

# Frontend local development

1. Ensure you have Node 14.17 installed on your computer.
   - An easy way to manage your Node version is with [asdf](https://asdf-vm.com/)
1. Clone https://gitlab.com/plush.bike/frontend
1. Run `yarn install`
1. Edit your hosts file by running `sudo nano /etc/hosts`
   - Add `127.0.0.1 api.plush.test` and `127.0.0.1 plush.test`
1. Run `yarn dev`
1. Navigate to http://plush.test:3010
